Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextStream.FieldAlignment

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextStream.FieldAlignment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextStream

    public static final class QTextStream.FieldAlignment

extends java.lang.Enum
implements QtEnumerator

This enum specifies how to align text in fields when the field is wider than the text that occupies it.

See also:
  `setFieldAlignment()`.

See Also:
  Serialized Form

Field Summary
`static QTextStream.FieldAlignment` | `AlignAccountingStyle` Same as `AlignRight` , except that the sign of a number is flush left.
`static QTextStream.FieldAlignment` | `AlignCenter` Pad on both sides of field.
`static QTextStream.FieldAlignment` | `AlignLeft` Pad on the right side of fields.
`static QTextStream.FieldAlignment` | `AlignRight` Pad on the left side of fields.

Method Summary
`static QTextStream.FieldAlignment` | `resolve(int value)` Returns the QTextStream$FieldAlignment constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.FieldAlignment` | `valueOf(java.lang.String name)`
`static QTextStream.FieldAlignment[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AlignLeft

    public static final QTextStream.FieldAlignment AlignLeft

  Pad on the right side of fields.

### AlignRight

    public static final QTextStream.FieldAlignment AlignRight

  Pad on the left side of fields.

### AlignCenter

    public static final QTextStream.FieldAlignment AlignCenter

  Pad on both sides of field.

### AlignAccountingStyle

    public static final QTextStream.FieldAlignment AlignAccountingStyle

  Same as `AlignRight` , except that the sign of a number is flush left.

Method Detail

### values

    public static QTextStream.FieldAlignment[] values()

### valueOf

    public static QTextStream.FieldAlignment valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextStream.FieldAlignment resolve(int value)

  Returns the QTextStream$FieldAlignment constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD